# $Revision: 1.35 $, $Date: 2004/08/30 21:28:07 $
Summary:	Very fast image viewer for X Window
Summary(pl):	Bardzo szybka przegldarka plikw graficznych dla X Window
Name:		qiv
Version:	2.0
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://www.klografx.net/qiv/download/%{name}-%{version}-src.tgz
# Source0-md5:	165d0c2f264718821f94732196b7f9e1
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-misc.patch
URL:		http://www.klografx.net/qiv/
BuildRequires:	gtk+-devel
BuildRequires:	imlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quick Image Viewer (qiv) is a very small and pretty fast GDK/Imlib
image viewer. Features include zoom, maxpect, scale down, fullscreen,
brightness/contrast/gamma correction, slideshow, flip
horizontal/vertical, rotate left/right, delete (move to .qiv-trash/),
jump to image x, jump forward/backward x images, filename filer and
you can use qiv to set your X11-Desktop background.

%description -l pl
Quick Image Viewer (qiv) jest bardzo maym i cakiem szybkim programem
do przegldania plikw graficznych, wykorzystujcym biblioteki
GDK/Imlib.

%prep
%setup -q
%patch -p1

%build
%{__make} OPTS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	BINDIR=%{_bindir} \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.CHANGES README.TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/*
%{_desktopdir}/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qiv.spec,v $
Revision 1.35  2004/08/30 21:28:07  dzeus
- updated to 2.0

Revision 1.34  2003/12/18 23:51:16  domelu
- up to 1.9

Revision 1.33  2003/11/22 17:01:05  gotar
- _applnkdir -> _desktopdir

Revision 1.32  2003/05/26 10:14:33  erjot
- Source0-md5

Revision 1.31  2003/05/25 06:26:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/04/14 20:30:14  djrzulf
From Rafa Pawe Janiczek

Revision 1.29  2003/01/18 22:56:17  juandon
- removed two lines with define

Revision 1.28  2002/11/29 22:46:13  ankry
- massive attack: new %%doc

Revision 1.27  2002/02/23 04:25:52  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/01/18 02:14:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.24  2001/08/07 14:22:03  kloczek
- another typo ($#%! :>).

Revision 1.23  2001/08/07 14:03:28  kloczek
- typos in %install.

Revision 1.22  2001/08/07 13:28:37  kloczek
- release 2: iadded missing desktop and pixmap in %filess.

Revision 1.21  2001/08/06 12:17:54  kloczek
- added desktop file and desktop icon for qiv.

Revision 1.20  2001/08/05 02:35:47  wrobell
- updated to 1.7 version
- stb

Revision 1.19  2001/04/30 16:05:29  kloczek
- added using %%{rpmcflags} macro.

Revision 1.18  2001/01/25 20:03:48  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.17  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.16  2000/11/06 12:38:55  kloczek
- updated to 1.5,
- use new rpm automation.

Revision 1.15  2000/07/15 15:12:59  kloczek
- release 2,
- fix %%{_mandir}.

Revision 1.14  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/05/17 20:31:23  kloczek
- updated to 1.3,
- spec adapterized,
- updated URL.

Revision 1.12  2000/05/16 08:37:55  pawelk
Added missing -l pl in descripton tag

Revision 1.11  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.10  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.8  1999/09/25 01:04:07  kloczek
- cosmetics.

Revision 1.7  1999/09/24 21:17:12  pius
- updated to 1.2

Revision 1.6  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.5  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu May 20 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.1-1]
- updated to 1.1,
- added using more rpm macros,
- added using DESTDIR (qiv-misc.patch),
- added pl translation,
- simplifications in %install,
- added BuildPrereq rules,
- other minor changes,
- package is FHS 2.0 compliant,

* Sat Nov 21 1998 Maciej Lesniewski <nimir@kis.p.lodz.pl>
  [1.0-1]
- Initial release.
- RPM_OPT patch.
